import React, { Component } from 'react';
import { Field, reduxForm } from 'redux-form';


class SendingForm extends  Component  {

    onChange = e =>{
        //console.log(e.target.files[0])
        this.setState({image: e.target.files[0].name})
    }
    submit = values => {
        const { AddNewStaff } = this.props
        //const { image } = this.state
        values.img = "http://zabavnik.club/wp-content/uploads/vopros_2_14000037-939x1024.jpg"
        values.staff = "Машина"
        values.state = 1
        values.userId = 1
        
        AddNewStaff(values)
    };
    render(){
         const { handleSubmit, pristine, reset, submitting, allCategory } = this.props
    return (
        
            <div className="formdiv">
                <form onSubmit={handleSubmit(this.submit)} className="form">
                    <Field
                        name="title"
                        component="input"
                        type="text"
                        placeholder="Название"
                        className="input"
                    />

                    <Field
                        name="description"
                        component="textarea"
                        type="text"
                        placeholder="Описание"
                        className="textarea"
                    />

                    <Field
                        name="price"
                        component="input"
                        type="number"
                        placeholder="Цена"
                        className="input"
                    />


                    <Field
                        name="categoryId"
                        component="select"
                        
                        className="input"
                    >
                        <option >Выберите рубрику</option>
                        {allCategory.map(el => <option value={el.id}> {el.title}</option>)}
                    </Field>

                    <div className="buttonConteiner">
                        <button type="submit" disabled={pristine || submitting} className="button" >
                            Submit
                        </button>
                        <button type="button" disabled={pristine || submitting} onClick={reset} className="button" >
                            Clear Values
                        </button>
                    </div>
                </form>

            </div>
        
    )
  }
}

export default reduxForm({
    form: 'SendingForm'
})(SendingForm)